import logging
from GaudiKernel.ProcessJobOptions import (
    InstallRootLoggingHandler, GetConsoleHandler)

# Increase the level of the ROOT logger (INFO by default).
# This does not affect child loggers with a lower level!
InstallRootLoggingHandler(level=logging.ERROR)

# Do not print any of the messages with level lower than ERROR
GetConsoleHandler().disable(allowed=logging.ERROR)
