from Gaudi.Configuration import INFO

from Configurables import Moore, CondDB
Moore().ThresholdSettings = "Physics_pp_Ramp2018"
Moore().UseTCK = False
Moore().ForceSingleL0Configuration = False
Moore().Split = ''
Moore().OutputLevel = INFO

from PRConfig import TestFileDB
TestFileDB.test_file_db["2017NB_L0Filt0x18A1"].run(withDB=False, configurable=Moore())
Moore().RemoveInputHltRawBanks = True
# the following overides the L0TCK in the ThresholdSettings
from Configurables import HltConf
HltConf().setProp("L0TCK", '0x18A1')

Moore().DataType = "2018"

Moore().EvtMax = 100

from Configurables import EventSelector
EventSelector().PrintFreq = 10

# Add your new HLT2 lines here to run them
# from Configurables import HltConf
# HltConf().AdditionalHlt2Lines = ['Hlt2MyNewLineA', 'Hlt2MyNewLineB']

from Configurables import HltMonitoringConf
HltMonitoringConf().OutputFile = "histos.root"
