#!/bin/bash
set -e
set -o pipefail

TCKOptions=$MOOREROOT/tests/options/TCK/TCKOptions.py
if [ "$#" -eq 1 ]; then
    TCKOptions=$MOOREROOT/tests/options/TCK/TCKOptions${1}.py
fi

# run Moore to create the TCK
gaudirun.py $MOOREROOT/tests/options/TCK/CreateTCK1.py \
    ${TCKOptions} | tee CreateTCK1.log

# map the newly created configuration to a TCK
python $MOOREROOT/tests/options/TCK/CreateTCKEntry.py \
    CreateTCK1.log Hlt1TCK --options ${TCKOptions}

