#!/bin/bash

set -e
# Trace commands
PS4='+\t '
set -x

TCKS=`python $L0APPROOT/tests/options/list-l0tcks.py | grep '^0x'`
echo "Using TCKS: $TCKS"
for tck in $TCKS; do
    echo "TESTING TCK $tck"
    gaudirun.py $L0APPROOT/tests/options/input-sim-digi.py \
        --option="from Configurables import L0App; L0App().TCK = '$tck'"
done
