#!/bin/bash
set -e
set -o pipefail

TCKOptions=$MOOREROOT/tests/options/TCK/TCKOptions.py
if [ "$#" -eq 1 ]; then
    TCKOptions=$MOOREROOT/tests/options/TCK/TCKOptions${1}.py
fi

# run Moore to create the TCK    
gaudirun.py $MOOREROOT/tests/options/TCK/CreateTCK2.py \
    ${TCKOptions} | tee CreateTCK2.log

# map the newly created configuration to a TCK
python $MOOREROOT/tests/options/TCK/CreateTCKEntry.py \
    CreateTCK2.log Hlt2TCK --options ${TCKOptions}

