from __future__ import print_function
import argparse
from StringIO import StringIO
from TCKUtils.utils import *

def int16(x):
    return int(x, 16)


parser = argparse.ArgumentParser()
parser.add_argument("tck1", type=int16, help='Hlt1 TCK')
parser.add_argument("tck2", type=int16, help='Hlt2 TCK')
parser.add_argument("--cas", help='Path to config.cdb')
args = parser.parse_args()

cas = ConfigAccessSvc(File=args.cas) if args.cas else default_cas

f = StringIO()
dump_flow(args.tck2, args.tck1, f, cas=cas)
print(f.getvalue())
